<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- Responsive meta tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- External Style Sheet -->
	<!-- <link rel="stylesheet" href="index.css"> -->

	<title>Bootstrap Flex</title>
</head>
<body>

	<div class="text-center">

		<h2>Creating Space Between Elements</h2>
		<div class="bg-dark p-3 d-md-flex justify-content-md-between">
			<div class="p-3 bg-success">Card A</div>
			<div class="p-3 bg-warning">Card B</div>
			<div class="p-3 bg-danger">Card C</div>
		</div>

		<h2>Flexbox With Margin</h2>
		<div class="bg-dark p-3 d-flex">
			<div class="p-3 mr-auto bg-success">Flex item A</div>
			<div class="p-3 bg-warning">Flex item B</div>
			<div class="p-3 bg-danger">Flex item C</div>
			<div class="p-3 bg-primary">Flex item D</div>
		</div>

		<h2>Nested Flex Elements</h2>
		<div class="bg-dark p-3 d-md-flex">
			<div class="mr-auto p-3 bg-success">Flex item A</div>
			<div class="w-50 justify-content-between d-md-flex">
			<div class="p-3 bg-warning">Flex item B</div>
			<div class="p-3 bg-danger">Flex item C</div>
			<div class="p-3 bg-primary">Flex item D</div>
			</div>
		</div>
</div>

	<!-- Bootstrap Script -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>